Bug 139589 - fence_wti doesn't handle the -o or option=<foo> directives
Summary: fence_wti doesn't handle the -o or option=<foo> directives
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence   
(Show other bugs)
Version: 4
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Adam "mantis" Manthei
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-16 20:37 UTC by Lon Hohberger
Modified: 2009-04-16 20:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 15:49:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which fixes problem and adds support for the IPS TPS and RPC series (5.61 KB, patch)
2004-11-16 20:40 UTC, Lon Hohberger
no flags Details | Diff

Description Lon Hohberger 2004-11-16 20:37:57 UTC
Description of problem:

The WTI NPS fencing module doesn't handle the -o option or the
option=foo directives.  It only runs in "reboot" mode, which can
potentially cause problems in machines which have redundant power
supplies, as there's no guarantee that all controlling ports are 'off'
prior to turning any back 'on'.

Comment 1 Lon Hohberger 2004-11-16 20:40:46 UTC
Created attachment 106844 [details]
Patch which fixes problem and adds support for the IPS TPS and RPC series

This is an overkill patch from the linux-cluster project which fixes the
problem.  It also adds support for the TPS, IPS, and RPC series switches to
fence_wti.

Comment 2 Lon Hohberger 2004-11-17 15:49:49 UTC
It's a apparently a WONTFIX for RHEL-3 then.  It's already _in_ the
RHEL 4 codebase.



Note You need to log in before you can comment on or make changes to this bug.